iconv_mime_encode
iconv_strlen
iconv Functions
PHP Manual

# iconv_set_encoding

(PHP 4 >= 4.0.5, PHP 5)

iconv_set_encoding — Set current setting for character encoding conversion

### Description

bool iconv_set_encoding ( string `$type` , string `$charset` )

Changes the value of the internal configuration variable specified by `type` to `charset` .

### Parameters

`type`

  The value of `type` can be any one of those:

  - input_encoding
  - output_encoding
  - internal_encoding
`charset`

  The character set.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Examples

Example #1 iconv_set_encoding() example

`<?php
iconv_set_encoding("internal_encoding", "UTF-8");
iconv_set_encoding("output_encoding", "ISO-8859-1");
?>`

### See Also

- iconv_get_encoding()
- ob_iconv_handler()

iconv_mime_encode
iconv_strlen
iconv Functions
PHP Manual